-- Deploy database-schema:adding_documentid_indexes to pg

BEGIN;

CREATE INDEX IF NOT EXISTS "idx_aws_documentId" ON "public"."aws" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsaccount_documentId" ON "public"."awsaccount" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsathenadatacatalog_documentId" ON "public"."awsathenadatacatalog" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsbackupbackupplan_documentId" ON "public"."awsbackupbackupplan" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsbackupbackupvault_documentId" ON "public"."awsbackupbackupvault" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsbatchcomputeenvironment_documentId" ON "public"."awsbatchcomputeenvironment" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsbatchjobdefinition_documentId" ON "public"."awsbatchjobdefinition" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsbatchjobqueue_documentId" ON "public"."awsbatchjobqueue" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awscassandrakeyspace_documentId" ON "public"."awscassandrakeyspace" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awscloudfrontdistribution_documentId" ON "public"."awscloudfrontdistribution" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awscloudsearchdomain_documentId" ON "public"."awscloudsearchdomain" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awscloudtrailtrail_documentId" ON "public"."awscloudtrailtrail" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsconfigurationrecorder_documentId" ON "public"."awsconfigurationrecorder" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsdynamodbglobaltable_documentId" ON "public"."awsdynamodbglobaltable" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsdynamodbtable_documentId" ON "public"."awsdynamodbtable" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsec2eip_documentId" ON "public"."awsec2eip" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsec2instance_documentId" ON "public"."awsec2instance" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsec2networkacl_documentId" ON "public"."awsec2networkacl" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsec2networkinterface_documentId" ON "public"."awsec2networkinterface" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsec2securitygroup_documentId" ON "public"."awsec2securitygroup" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsec2snapshot_documentId" ON "public"."awsec2snapshot" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsec2volume_documentId" ON "public"."awsec2volume" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsec2vpc_documentId" ON "public"."awsec2vpc" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsec2vpcpeeringconnection_documentId" ON "public"."awsec2vpcpeeringconnection" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsecscluster_documentId" ON "public"."awsecscluster" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsefsfilesystem_documentId" ON "public"."awsefsfilesystem" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsekscluster_documentId" ON "public"."awsekscluster" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awselasticachecluster_documentId" ON "public"."awselasticachecluster" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awselasticbeanstalk_documentId" ON "public"."awselasticbeanstalk" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awselasticloadbalancingloadbalancer_documentId" ON "public"."awselasticloadbalancingloadbalancer" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awselasticloadbalancingv2loadbalancer_documentId" ON "public"."awselasticloadbalancingv2loadbalancer" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awselasticsearchdomain_documentId" ON "public"."awselasticsearchdomain" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsemrcluster_documentId" ON "public"."awsemrcluster" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsfsxfilesystem_documentId" ON "public"."awsfsxfilesystem" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsglaciervault_documentId" ON "public"."awsglaciervault" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsguarddutydetector_documentId" ON "public"."awsguarddutydetector" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsiamaccount_documentId" ON "public"."awsiamaccount" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsiamcredentialsreport_documentId" ON "public"."awsiamcredentialsreport" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsiamgroup_documentId" ON "public"."awsiamgroup" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsiampolicy_documentId" ON "public"."awsiampolicy" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsiamrole_documentId" ON "public"."awsiamrole" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsiamuser_documentId" ON "public"."awsiamuser" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awskmskey_documentId" ON "public"."awskmskey" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awslakeformationresource_documentId" ON "public"."awslakeformationresource" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awslambdafunction_documentId" ON "public"."awslambdafunction" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awslightsaildatabase_documentId" ON "public"."awslightsaildatabase" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awslightsailinstance_documentId" ON "public"."awslightsailinstance" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awslightsailloadbalancer_documentId" ON "public"."awslightsailloadbalancer" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awslocationgeofencecollection_documentId" ON "public"."awslocationgeofencecollection" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awslocationmap_documentId" ON "public"."awslocationmap" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awslocationplaceindex_documentId" ON "public"."awslocationplaceindex" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awslocationroutecalculator_documentId" ON "public"."awslocationroutecalculator" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awslocationtracker_documentId" ON "public"."awslocationtracker" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsneptunecluster_documentId" ON "public"."awsneptunecluster" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsneptuneinstance_documentId" ON "public"."awsneptuneinstance" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsqldbledger_documentId" ON "public"."awsqldbledger" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsrdsdbinstance_documentId" ON "public"."awsrdsdbinstance" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsrdsdbsnapshot_documentId" ON "public"."awsrdsdbsnapshot" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsredshiftcluster_documentId" ON "public"."awsredshiftcluster" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsregion_documentId" ON "public"."awsregion" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsroute53hostedzone_documentId" ON "public"."awsroute53hostedzone" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awss3bucket_documentId" ON "public"."awss3bucket" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awss3bucketobject_documentId" ON "public"."awss3bucketobject" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awssecretsmanager_documentId" ON "public"."awssecretsmanager" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awssecurityhubstandardsubscription_documentId" ON "public"."awssecurityhubstandardsubscription" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awssnssubscription_documentId" ON "public"."awssnssubscription" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awssnstopic_documentId" ON "public"."awssnstopic" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsssminstance_documentId" ON "public"."awsssminstance" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsstoragegatewaygateway_documentId" ON "public"."awsstoragegatewaygateway" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awsusercredentialreport_documentId" ON "public"."awsusercredentialreport" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awswatchalarm_documentId" ON "public"."awswatchalarm" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awswatchdashboard_documentId" ON "public"."awswatchdashboard" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awswatchloggroup_documentId" ON "public"."awswatchloggroup" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_awswatchlogsmetricfilter_documentId" ON "public"."awswatchlogsmetricfilter" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcp_documentId" ON "public"."gcp" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpaccess_documentId" ON "public"."gcpaccess" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpasset_documentId" ON "public"."gcpasset" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpassetfeed_documentId" ON "public"."gcpassetfeed" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpautomldataset_documentId" ON "public"."gcpautomldataset" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpautomlmodel_documentId" ON "public"."gcpautomlmodel" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpbigquerydataset_documentId" ON "public"."gcpbigquerydataset" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpbigquerydatatransfer_documentId" ON "public"."gcpbigquerydatatransfer" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpbigqueryreservation_documentId" ON "public"."gcpbigqueryreservation" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpbigqueryreservationcapacity_documentId" ON "public"."gcpbigqueryreservationcapacity" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpbigtableinstance_documentId" ON "public"."gcpbigtableinstance" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpbillingaccount_documentId" ON "public"."gcpbillingaccount" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpcloudbuild_documentId" ON "public"."gcpcloudbuild" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpcloudbuildtrigger_documentId" ON "public"."gcpcloudbuildtrigger" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpcluster_documentId" ON "public"."gcpcluster" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpcomputedisk_documentId" ON "public"."gcpcomputedisk" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpcomputeinstance_documentId" ON "public"."gcpcomputeinstance" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpcontaineranalysisnote_documentId" ON "public"."gcpcontaineranalysisnote" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpcontaineranalysisoccurrence_documentId" ON "public"."gcpcontaineranalysisoccurrence" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpdatacatalog_documentId" ON "public"."gcpdatacatalog" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpdatalabelig_documentId" ON "public"."gcpdatalabelig" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpdatalabelingannotations_documentId" ON "public"."gcpdatalabelingannotations" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpdatalabelinginstruction_documentId" ON "public"."gcpdatalabelinginstruction" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpdialogflowconversation_documentId" ON "public"."gcpdialogflowconversation" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpdlpjob_documentId" ON "public"."gcpdlpjob" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpdlpjobtrigger_documentId" ON "public"."gcpdlpjobtrigger" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpdnszone_documentId" ON "public"."gcpdnszone" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcperrorreporting_documentId" ON "public"."gcperrorreporting" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpgameservice_documentId" ON "public"."gcpgameservice" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpiamrole_documentId" ON "public"."gcpiamrole" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpiamserviceaccount_documentId" ON "public"."gcpiamserviceaccount" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpiotdeviceregistry_documentId" ON "public"."gcpiotdeviceregistry" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpkmskeyring_documentId" ON "public"."gcpkmskeyring" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcploggingbucket_documentId" ON "public"."gcploggingbucket" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcploggingexclusion_documentId" ON "public"."gcploggingexclusion" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcploggingmetric_documentId" ON "public"."gcploggingmetric" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcploggingsink_documentId" ON "public"."gcploggingsink" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpmemcacheinstance_documentId" ON "public"."gcpmemcacheinstance" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpmonitoringalertpolicy_documentId" ON "public"."gcpmonitoringalertpolicy" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpmonitoringdashboard_documentId" ON "public"."gcpmonitoringdashboard" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpmonitoringgroup_documentId" ON "public"."gcpmonitoringgroup" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpmonitoringservice_documentId" ON "public"."gcpmonitoringservice" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcposconfigpatchdeployment_documentId" ON "public"."gcposconfigpatchdeployment" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcposconfigpatchjob_documentId" ON "public"."gcposconfigpatchjob" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpprojectinfo_documentId" ON "public"."gcpprojectinfo" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcppubsublitesubscription_documentId" ON "public"."gcppubsublitesubscription" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcppubsublitetopic_documentId" ON "public"."gcppubsublitetopic" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcppubsubschema_documentId" ON "public"."gcppubsubschema" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcppubsubsnapshots_documentId" ON "public"."gcppubsubsnapshots" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcppubsubsubscription_documentId" ON "public"."gcppubsubsubscription" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcppubsubtopic_documentId" ON "public"."gcppubsubtopic" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcprecaptchaenterprisekey_documentId" ON "public"."gcprecaptchaenterprisekey" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpredisinstance_documentId" ON "public"."gcpredisinstance" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpresourcemanagerfolder_documentId" ON "public"."gcpresourcemanagerfolder" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpresourcemanagerorganization_documentId" ON "public"."gcpresourcemanagerorganization" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpresourcemanagerproject_documentId" ON "public"."gcpresourcemanagerproject" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpschedulerjob_documentId" ON "public"."gcpschedulerjob" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpsecretmanagersecret_documentId" ON "public"."gcpsecretmanagersecret" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpsecurityscanconfig_documentId" ON "public"."gcpsecurityscanconfig" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpservicediscoveryservice_documentId" ON "public"."gcpservicediscoveryservice" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpspannerinstance_documentId" ON "public"."gcpspannerinstance" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpsqlinstance_documentId" ON "public"."gcpsqlinstance" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpstoragebucket_documentId" ON "public"."gcpstoragebucket" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcptalenttenant_documentId" ON "public"."gcptalenttenant" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcptaskqueue_documentId" ON "public"."gcptaskqueue" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcptrace_documentId" ON "public"."gcptrace" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcptranslateglossary_documentId" ON "public"."gcptranslateglossary" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpvisionproduct_documentId" ON "public"."gcpvisionproduct" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpvisionproductset_documentId" ON "public"."gcpvisionproductset" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpvpcfirewall_documentId" ON "public"."gcpvpcfirewall" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gcpvpcnetwork_documentId" ON "public"."gcpvpcnetwork" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gpcdataproccluster_documentId" ON "public"."gpcdataproccluster" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gpcdataprocjob_documentId" ON "public"."gpcdataprocjob" USING btree ("documentid");
CREATE INDEX IF NOT EXISTS "idx_gpcfunction_documentId" ON "public"."gpcfunction" USING btree ("documentid");


COMMIT;
